### Method

# AppStream Metadata set_format_version

#### Declaration [src]

    void
    as_metadata_set_format_version (
      AsMetadata* metad,
      AsFormatVersion version
    )

#### Description [src]

Set the current AppStream format version that we should generate data for or be able to read.

#### Parameters

`version`

  Type: `AsFormatVersion`

  The AppStream metadata format version as `AsFormatVersion`.